Name:           showfont
Version:        1.0.6
Release:        %mkrel 2
Summary:        Font dumper for X font server
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(libfs)
BuildRequires:  x11-util-macros

Patch1:         0001-Update-to-match-mandriva-default-fontserver-config.patch

%description
Showfont displays data about a font that matches the given pattern.
The information shown includes font information, font properties, character
metrics, and character bitmaps.

%prep
%setup -q
%autopatch -p1

%build
%configure \
    --x-includes=%{_includedir}\
    --x-libraries=%{_libdir}
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0.6-2.mga10
+ Revision: 2215110
- Mageia 10 Mass Rebuild

* Mon Sep 05 2022 tv <tv> 1.0.6-1.mga9
+ Revision: 1883967
- 1.0.6

* Tue Mar 15 2022 umeabot <umeabot> 1.0.5-4.mga9
+ Revision: 1793972
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.0.5-3.mga8
+ Revision: 1517031
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.5-2.mga7
+ Revision: 1301019
- Mageia 7 Mass Rebuild

* Tue Jan 12 2016 akien <akien> 1.0.5-1.mga6
+ Revision: 922174
- Version 1.0.5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 742561
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-3.mga5
+ Revision: 689145
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-2.mga4
+ Revision: 522031
- Mageia 4 Mass Rebuild

* Wed Feb 06 2013 luigiwalser <luigiwalser> 1.0.4-1.mga3
+ Revision: 394895
- 1.0.4

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 381996
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.3-1.mga1
+ Revision: 5987
- imported package showfont


* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 592507
- new release

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-4mdv2010.1
+ Revision: 524075
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-3mdv2010.0
+ Revision: 427139
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-2mdv2009.0
+ Revision: 265695
- rebuild early 2009.0 package (before pixel changes)

* Tue May 27 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.2-1mdv2009.0
+ Revision: 211826
- New version

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-5mdv2008.1
+ Revision: 166441
- Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Wed Jan 16 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-4mdv2008.1
+ Revision: 153857
- Use git-archive to generate tarball.
  Add patch to changed default -server option to Mandriva standard xfs.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 1.0.1-3mdv2008.0
+ Revision: 67260
- fix man pages extension


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Wed May 17 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-17 00:18:30 (27489)
- fix description

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

